### Method

# Secret Service ensure_session_sync

#### Declaration [src]

    gboolean
    secret_service_ensure_session_sync (
      SecretService* self,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Ensure that the `SecretService` proxy has established a session with the Secret Service.

This session is used to transfer secrets.

It is not normally necessary to call this method, as the session is established as necessary. You can also pass the `SECRET_SERVICE_OPEN_SESSION` to `secret_service_get_sync()` in order to ensure that a session has been established by the time you get the `SecretService` proxy.

This method may block indefinitely and should not be used in user interface threads.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether a session is established or not.